Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.HandleResponseConfig

Enclosing interface:
  Configuration

    public static interface Configuration.HandleResponseConfig

Configuration used for InterAct Server.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `getReceiveModeConfig()` Gets the receive mode configuration.
`Configuration.AcquireSnFRequestConfig` | `getSnFToAcquire()` Gets the SnF to aquire.
`java.lang.String` | `getSw_ReturnSignatureList()` Gets Sw_ReturnSignatureList.
`java.lang.String` | `getSwInt_NRIndicator()` Gets whether SwInt_NRIndicator, non-repudiation support is being used.
`java.lang.String` | `getSwInt_Responder()` Gets the Responder - Application entity name.
`java.lang.String` | `getSwInt_ResponseCrypto()` Gets SwInt_ResponseCrypto.
`java.lang.String` | `getSwInt_ResponseRef()` Gets the Response reference.
`java.lang.String` | `getSwSec_UserDN()` Gets the UserDN, (distinguished name)used to identify and authenticate the sending user.
`java.lang.String` | `getUseSignatureListConfig()` Gets flag UseSignatureListConfig.
`boolean` | `isReceiveModeRealTime()` Returns whether receive mode is in real time.
`boolean` | `isReceiveModeSnF()` Returns whether receive mode is SnF.
`boolean` | `isUseSignatureList()` Checks whether to use SignatureList.
`void` | `setReceiveModeConfig(java.lang.String receiveMode)` Sets the receive mode configuration.
`void` | `setSwInt_NRIndicator(java.lang.String nrIndicator)` Sets the SwInt_NRIndicator, non-repudiation support.
`void` | `setSwInt_Responder(java.lang.String responder)` Sets the Responder - Application entity name.
`void` | `setSwInt_ResponseCrypto(java.lang.String responseCrypto)` Sets SwInt_ResponseCrypto.
`void` | `setSwInt_ResponseRef(java.lang.String responseRef)` Set the response reference.
`void` | `setSwSec_UserDN(java.lang.String userDN)` sets the UserDN, (distinguished name) used to identify and authenticate the sending user.
`void` | `setUseSignatureListConfig(java.lang.String useSignatureListConfig)` Sets flag UseSignatureListConfig.
`void` | `validate()` Validates the HandleResponse section.

Method Detail

### getSnFToAcquire

    Configuration.AcquireSnFRequestConfig getSnFToAcquire()
                                                          throws SAGApplicationException

  Gets the SnF to aquire.

  Parameters:
    None.

  Returns:
    `AcquireSnFRequestConfig` - Returns AcquireSnF request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSwSec_UserDN

    java.lang.String getSwSec_UserDN()

  Gets the UserDN, (distinguished name)used to identify and authenticate the sending user.

  Parameters:
    None.

  Returns:
    `String` - Returns user DN.
  Throws:
    None.

### getSwInt_Responder

    java.lang.String getSwInt_Responder()

  Gets the Responder - Application entity name.

  Parameters:
    None.

  Returns:
    `String` - Returns the responder.
  Throws:
    None.

### getSwInt_ResponseRef

    java.lang.String getSwInt_ResponseRef()

  Gets the Response reference. Reference provided by the server for this exchange.

  Parameters:
    None.

  Returns:
    `String` - Returns the Response reference.
  Throws:
    None.

### getSwInt_ResponseCrypto

    java.lang.String getSwInt_ResponseCrypto()

  Gets SwInt_ResponseCrypto. Indicates that the response contains crypto operations that be performed at the SNL before sending the response.

  Parameters:
    None.

  Returns:
    `String` - Returns response crypto indicator.
  Throws:
    None.

### getSw_ReturnSignatureList

    java.lang.String getSw_ReturnSignatureList()

  Gets Sw_ReturnSignatureList.

  Parameters:
    None.

  Returns:
    `String` - Returns Sw_ReturnSignatureList.
  Throws:
    None.

### getUseSignatureListConfig

    java.lang.String getUseSignatureListConfig()

  Gets flag UseSignatureListConfig.

  Parameters:
    None.

  Returns:
    `String` - Returns UseSignatureListConfig.
  Throws:
    None.

### isUseSignatureList

    boolean isUseSignatureList()

  Checks whether to use SignatureList.

  Parameters:
    None.

  Returns:
    `boolean` - Returns true or false.
  Throws:
    None.

### getSwInt_NRIndicator

    java.lang.String getSwInt_NRIndicator()

  Gets whether SwInt_NRIndicator, non-repudiation support is being used.

  Parameters:
    None.

  Returns:
    `String` - Returns NR indicator.
  Throws:
    None.

### getReceiveModeConfig

    java.lang.String getReceiveModeConfig()

  Gets the receive mode configuration.

  Parameters:
    None.

  Returns:
    `String` - Returns the receive mode configuration.
  Throws:
    None.

### isReceiveModeRealTime

    boolean isReceiveModeRealTime()

  Returns whether receive mode is in real time.

  Parameters:
    None.

  Returns:
    `boolean` - Returns whether receive mode is real time.
  Throws:
    None.

### isReceiveModeSnF

    boolean isReceiveModeSnF()

  Returns whether receive mode is SnF.

  Parameters:
    None.

  Returns:
    `boolean` - Returns whether receive mode is SnF.
  Throws:
    None.

### setSwSec_UserDN

    void setSwSec_UserDN(java.lang.String userDN)
                         throws SAGApplicationException

  sets the UserDN, (distinguished name) used to identify and authenticate the sending user.

  Parameters:
    `userDN` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_Responder

    void setSwInt_Responder(java.lang.String responder)
                            throws SAGApplicationException

  Sets the Responder - Application entity name.

  Parameters:
    `responder` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_ResponseRef

    void setSwInt_ResponseRef(java.lang.String responseRef)
                              throws SAGApplicationException

  Set the response reference.

  Parameters:
    `responseRef` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_ResponseCrypto

    void setSwInt_ResponseCrypto(java.lang.String responseCrypto)
                                 throws SAGApplicationException

  Sets SwInt_ResponseCrypto. Specifies whether a (digital signature) is required.

  Parameters:
    `responseCrypto` -
  Throws:
    `SAGApplicationException` - upon error.

### setUseSignatureListConfig

    void setUseSignatureListConfig(java.lang.String useSignatureListConfig)
                                   throws SAGApplicationException

  Sets flag UseSignatureListConfig.

  Parameters:
    `useSignatureListconfig` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_NRIndicator

    void setSwInt_NRIndicator(java.lang.String nrIndicator)
                              throws SAGApplicationException

  Sets the SwInt_NRIndicator, non-repudiation support.

  Parameters:
    `nrIndicator` -
  Throws:
    `SAGApplicationException` - upon error.

### setReceiveModeConfig

    void setReceiveModeConfig(java.lang.String receiveMode)
                              throws SAGApplicationException

  Sets the receive mode configuration.

  Parameters:
    `receiveMode` -
  Throws:
    `SAGApplicationException` - upon error

### validate

    void validate()
                  throws SAGApplicationException

  Validates the HandleResponse section.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.